<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{84C27ED8-4A4F-4DC2-B276-5F012F2570EF}</ProjectGuid>
    <RootNamespace>libascript</RootNamespace>
    <Keyword>Win32Proj</Keyword>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <CharacterSet>MultiByte</CharacterSet>
    <WholeProgramOptimization>true</WholeProgramOptimization>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <CharacterSet>MultiByte</CharacterSet>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup>
    <_ProjectFileVersion>10.0.30319.1</_ProjectFileVersion>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">$(SolutionDir)$(Configuration)\</OutDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">$(Configuration).$(ProjectName)\</IntDir>
    <LinkIncremental Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">true</LinkIncremental>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">$(SolutionDir)$(Configuration)\</OutDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">$(Configuration).$(ProjectName)\</IntDir>
    <LinkIncremental Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">false</LinkIncremental>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <ClCompile>
      <Optimization>Disabled</Optimization>
      <AdditionalIncludeDirectories>$(SolutionDir)..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>ASCRIPT_EXPORTS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <MinimalRebuild>true</MinimalRebuild>
      <BasicRuntimeChecks>EnableFastChecks</BasicRuntimeChecks>
      <RuntimeLibrary>MultiThreadedDebugDLL</RuntimeLibrary>
      <PrecompiledHeader>
      </PrecompiledHeader>
      <WarningLevel>Level3</WarningLevel>
      <DebugInformationFormat>EditAndContinue</DebugInformationFormat>
      <DisableSpecificWarnings>4996;%(DisableSpecificWarnings)</DisableSpecificWarnings>
    </ClCompile>
    <Link>
      <AdditionalDependencies>ws2_32.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <OutputFile>$(SolutionDir)..\..\libascript.dll</OutputFile>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <SubSystem>Windows</SubSystem>
      <RandomizedBaseAddress>false</RandomizedBaseAddress>
      <DataExecutionPrevention>
      </DataExecutionPrevention>
      <TargetMachine>MachineX86</TargetMachine>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <AdditionalIncludeDirectories>$(SolutionDir)..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>ASCRIPT_EXPORTS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <RuntimeLibrary>MultiThreadedDLL</RuntimeLibrary>
      <PrecompiledHeader>
      </PrecompiledHeader>
      <WarningLevel>Level3</WarningLevel>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
    </ClCompile>
    <Link>
      <AdditionalDependencies>ws2_32.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <OutputFile>$(SolutionDir)..\..\libascript.dll</OutputFile>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <SubSystem>Windows</SubSystem>
      <OptimizeReferences>true</OptimizeReferences>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <RandomizedBaseAddress>false</RandomizedBaseAddress>
      <DataExecutionPrevention>
      </DataExecutionPrevention>
      <ImportLibrary>$(SolutionDir)..\..\lib\$(TargetName).lib</ImportLibrary>
      <TargetMachine>MachineX86</TargetMachine>
    </Link>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClCompile Include="..\..\src\Algorithm.cpp" />
    <ClCompile Include="..\..\src\Codec.cpp" />
    <ClCompile Include="..\..\src\Common.cpp" />
    <ClCompile Include="..\..\src\Module_codecs_japanese\Conv_Japanese.cpp" />
    <ClCompile Include="..\..\src\DateTime.cpp" />
    <ClCompile Include="..\..\src\Declaration.cpp" />
    <ClCompile Include="..\..\src\Directory.cpp" />
    <ClCompile Include="..\..\src\DllMain.cpp" />
    <ClCompile Include="..\..\src\Environment.cpp" />
    <ClCompile Include="..\..\src\Expr.cpp" />
    <ClCompile Include="..\..\src\Formatter.cpp" />
    <ClCompile Include="..\..\src\Function.cpp" />
    <ClCompile Include="..\..\src\Iterator.cpp" />
    <ClCompile Include="..\..\src\Module.cpp" />
    <ClCompile Include="..\..\src\Module_basement.cpp" />
    <ClCompile Include="..\..\src\Module_codecs_basic\Module_codecs_basic.cpp" />
    <ClCompile Include="..\..\src\Module_codecs_iso8859\Module_codecs_iso8859.cpp" />
    <ClCompile Include="..\..\src\Module_codecs_japanese\Module_codecs_japanese.cpp" />
    <ClCompile Include="..\..\src\Module_fs\Module_fs.cpp" />
    <ClCompile Include="..\..\src\Module_math\Module_math.cpp" />
    <ClCompile Include="..\..\src\Module_os\Module_os.cpp" />
    <ClCompile Include="..\..\src\Module_path\Module_path.cpp" />
    <ClCompile Include="..\..\src\Module_string\Module_string.cpp" />
    <ClCompile Include="..\..\src\Module_sys.cpp" />
    <ClCompile Include="..\..\src\Module_time\Module_time.cpp" />
    <ClCompile Include="..\..\src\OAL.cpp" />
    <ClCompile Include="..\..\src\Object.cpp" />
    <ClCompile Include="..\..\src\Object_Audio.cpp" />
    <ClCompile Include="..\..\src\Object_Binary.cpp" />
    <ClCompile Include="..\..\src\Object_Codec.cpp" />
    <ClCompile Include="..\..\src\Object_Color.cpp" />
    <ClCompile Include="..\..\src\Object_Custom.cpp" />
    <ClCompile Include="..\..\src\Object_DateTime.cpp" />
    <ClCompile Include="..\..\src\Object_Dict.cpp" />
    <ClCompile Include="..\..\src\Object_Environment.cpp" />
    <ClCompile Include="..\..\src\Object_Error.cpp" />
    <ClCompile Include="..\..\src\Object_Expr.cpp" />
    <ClCompile Include="..\..\src\Object_Function.cpp" />
    <ClCompile Include="..\..\src\Object_Image.cpp" />
    <ClCompile Include="..\..\src\Object_Iterator.cpp" />
    <ClCompile Include="..\..\src\Object_List.cpp" />
    <ClCompile Include="..\..\src\Object_Matrix.cpp" />
    <ClCompile Include="..\..\src\Object_Palette.cpp" />
    <ClCompile Include="..\..\src\Object_Semaphore.cpp" />
    <ClCompile Include="..\..\src\Object_Stream.cpp" />
    <ClCompile Include="..\..\src\Object_String.cpp" />
    <ClCompile Include="..\..\src\Object_Struct.cpp" />
    <ClCompile Include="..\..\src\Object_TimeDelta.cpp" />
    <ClCompile Include="..\..\src\Object_URI.cpp" />
    <ClCompile Include="..\..\src\Operator.cpp" />
    <ClCompile Include="..\..\src\Option.cpp" />
    <ClCompile Include="..\..\src\Parser.cpp" />
    <ClCompile Include="..\..\src\SFMT-src-1.3.3\SFMT.c" />
    <ClCompile Include="..\..\src\Signal.cpp" />
    <ClCompile Include="..\..\src\Stream.cpp" />
    <ClCompile Include="..\..\src\String.cpp" />
    <ClCompile Include="..\..\src\Symbol.cpp" />
    <ClCompile Include="..\..\src\Value.cpp" />
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="..\..\src\Algorithm.h" />
    <ClInclude Include="..\..\src\ascript.h" />
    <ClInclude Include="..\..\src\Codec.h" />
    <ClInclude Include="..\..\src\Codec_ISO8859.h" />
    <ClInclude Include="..\..\src\Codec_Japanese.h" />
    <ClInclude Include="..\..\src\Common.h" />
    <ClInclude Include="..\..\src\DateTime.h" />
    <ClInclude Include="..\..\src\Declaration.h" />
    <ClInclude Include="..\..\src\Directory.h" />
    <ClInclude Include="..\..\src\Environment.h" />
    <ClInclude Include="..\..\src\Expr.h" />
    <ClInclude Include="..\..\src\Formatter.h" />
    <ClInclude Include="..\..\src\Function.h" />
    <ClInclude Include="..\..\src\Iterator.h" />
    <ClInclude Include="..\..\src\Module.h" />
    <ClInclude Include="..\..\src\OAL.h" />
    <ClInclude Include="..\..\src\Object.h" />
    <ClInclude Include="..\..\src\Object_Audio.h" />
    <ClInclude Include="..\..\src\Object_Binary.h" />
    <ClInclude Include="..\..\src\Object_Codec.h" />
    <ClInclude Include="..\..\src\Object_Color.h" />
    <ClInclude Include="..\..\src\Object_Custom.h" />
    <ClInclude Include="..\..\src\Object_DateTime.h" />
    <ClInclude Include="..\..\src\Object_Dict.h" />
    <ClInclude Include="..\..\src\Object_Environment.h" />
    <ClInclude Include="..\..\src\Object_Error.h" />
    <ClInclude Include="..\..\src\Object_Expr.h" />
    <ClInclude Include="..\..\src\Object_Function.h" />
    <ClInclude Include="..\..\src\Object_Image.h" />
    <ClInclude Include="..\..\src\Object_Iterator.h" />
    <ClInclude Include="..\..\src\Object_List.h" />
    <ClInclude Include="..\..\src\Object_Matrix.h" />
    <ClInclude Include="..\..\src\Object_Palette.h" />
    <ClInclude Include="..\..\src\Object_Semaphore.h" />
    <ClInclude Include="..\..\src\Object_Stream.h" />
    <ClInclude Include="..\..\src\Object_String.h" />
    <ClInclude Include="..\..\src\Object_Struct.h" />
    <ClInclude Include="..\..\src\Object_TimeDelta.h" />
    <ClInclude Include="..\..\src\Object_URI.h" />
    <ClInclude Include="..\..\src\Operator.h" />
    <ClInclude Include="..\..\src\Option.h" />
    <ClInclude Include="..\..\src\Parser.h" />
    <ClInclude Include="..\..\src\Signal.h" />
    <ClInclude Include="..\..\src\Stream.h" />
    <ClInclude Include="..\..\src\String.h" />
    <ClInclude Include="..\..\src\Symbol.h" />
    <ClInclude Include="..\..\src\Value.h" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>